org.apache.lucene.queryParser.standard.config

## Interface AnalyzerAttribute

- All Superinterfaces:
    org.apache.lucene.util.Attribute
  All Known Implementing Classes:
    AnalyzerAttributeImpl

      public interface AnalyzerAttribute
      extends org.apache.lucene.util.Attribute

  This attribute is used by `AnalyzerQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. It provides to this processor the `Analyzer`, if there is one, which will be used to analyze the query terms.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.analysis.Analyzer` | `getAnalyzer()`
    `void` | `setAnalyzer(org.apache.lucene.analysis.Analyzer analyzer)`

- - ### Method Detail

    - #### setAnalyzer

          void setAnalyzer(org.apache.lucene.analysis.Analyzer analyzer)

    - #### getAnalyzer

          org.apache.lucene.analysis.Analyzer getAnalyzer()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.